/// <reference types="react" />
declare type fontStyle = "italic" | "strike";
declare type fontWeight = "light" | "normal" | "semibold" | "bold";
declare type fontTransform = "uppercase" | "capitalized";
declare type fontAlignment = "left" | "center" | "right";
declare type fontColors = "brand" | "brandorange" | "brand-primary" | "info" | "warning" | "error" | "confirm" | "white" | "regular" | "lightgray";
declare type lineHeight = "xs" | "s" | "standard";
export interface FontsProps {
    alignment?: fontAlignment;
    breakWords?: boolean;
    children: React.ReactNode;
    className?: string;
    color?: fontColors;
    ellipsis?: boolean;
    fontSyle?: fontStyle;
    highlight?: boolean;
    hint?: boolean;
    lineHeight?: lineHeight;
    tabular?: boolean;
    transform?: fontTransform;
    weight?: fontWeight;
    noWrap?: boolean;
    style?: React.CSSProperties;
    tag?: React.ElementType;
}
export {};
